/*
 *  Uzebox(tm) Frogs and Flies
 *  Copyright (C) 2012  Alec Bourque
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Uzebox is a reserved trade mark
*/

/*

About this program:
-------------------

This program is a port of the 1982 classic Frogs and Flies originally released on the Atari 2600.
http://en.wikipedia.org/wiki/Frogs_and_Flies

*/

#include <stdbool.h>
#include <avr/io.h>
#include <stdlib.h>
#include <math.h>
#include <avr/pgmspace.h>
#include <uzebox.h>

#include "data/font-8x8-full.inc"

int main(){	
	
	SetTileTable(font);
	SetFontTilesIndex(0);
	ClearVram();

	Print(12,12,PSTR("UCC2014"));
	Print(3,14,PSTR("Frogs and Flies Tutorial!"));

	while(1){
		WaitVsync(1);
	}

}


